# Clutter::BehaviourRotate Class Reference

Inherits Clutter::Behaviour.

Collaboration diagram for Clutter::BehaviourRotate:
[legend]

List of all members.

## Public Member Functions

virtual | ~BehaviourRotate ()
ClutterBehaviourRotate* | gobj ()
| Provides access to the underlying C GObject.
const ClutterBehaviourRotate* | gobj () const
| Provides access to the underlying C GObject.
ClutterBehaviourRotate* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_axis (RotateAxis axis)
| Sets the axis used by the rotate behaviour.
RotateAxis | get_axis () const
| Retrieves the Clutter::RotateAxis used by the rotate behaviour.
void | set_direction (RotateDirection direction)
| Sets the rotation direction used by the rotate behaviour.
RotateDirection | get_direction () const
| Retrieves the Clutter::RotateDirection used by the rotate behaviour.
void | set_center (int x, int y, int z)
| Sets the center of rotation.
void | get_center (int& x, int& y, int& z) const
| Retrieves the center of rotation set using set_center().
void | set_bounds (double angle_begin, double angle_end)
| Sets the initial and final angles of a rotation behaviour; angles >= 360 degrees get clamped to the canonical interval <0, 360).
void | get_bounds (double& angle_begin, double& angle_end) const
| Retrieves the rotation boundaries of the rotate behaviour.
Glib::PropertyProxy< double > | property_angle_end ()
| Final angle.
Glib::PropertyProxy_ReadOnly < double > | property_angle_end () const
| Final angle.
Glib::PropertyProxy< double > | property_angle_start ()
| Initial angle.
Glib::PropertyProxy_ReadOnly < double > | property_angle_start () const
| Initial angle.
Glib::PropertyProxy< RotateAxis > | property_axis ()
| Axis of rotation.
Glib::PropertyProxy_ReadOnly < RotateAxis > | property_axis () const
| Axis of rotation.
Glib::PropertyProxy< int > | property_center_x ()
| X center of rotation.
Glib::PropertyProxy_ReadOnly< int > | property_center_x () const
| X center of rotation.
Glib::PropertyProxy< int > | property_center_y ()
| Y center of rotation.
Glib::PropertyProxy_ReadOnly< int > | property_center_y () const
| Y center of rotation.
Glib::PropertyProxy< int > | property_center_z ()
| Z center of rotation.
Glib::PropertyProxy_ReadOnly< int > | property_center_z () const
| Z center of rotation.
Glib::PropertyProxy < RotateDirection > | property_direction ()
| Direction of rotation.
Glib::PropertyProxy_ReadOnly < RotateDirection > | property_direction () const
| Direction of rotation.

## Static Public Member Functions

static Glib::RefPtr < BehaviourRotate > | create (const Glib::RefPtr< Alpha >& alpha, RotateAxis axis, RotateDirection direction, double angle_begin, double angle_end)

## Protected Member Functions

| BehaviourRotate (const Glib::RefPtr< Alpha >& alpha, RotateAxis axis, RotateDirection direction, double angle_begin, double angle_end)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr < Clutter::BehaviourRotate > | wrap (ClutterBehaviourRotate* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::BehaviourRotate::~BehaviourRotate | ( |  | ) | `[virtual]`

Clutter::BehaviourRotate::BehaviourRotate | ( | const Glib::RefPtr< Alpha >& | alpha,
|  | RotateAxis | axis,
|  | RotateDirection | direction,
|  | double | angle_begin,
|  | double | angle_end |
| ) |  |  | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<BehaviourRotate> Clutter::BehaviourRotate::create | ( | const Glib::RefPtr< Alpha >& | alpha,
|  | RotateAxis | axis,
|  | RotateDirection | direction,
|  | double | angle_begin,
|  | double | angle_end |
| ) |  |  | `[static]`

RotateAxis Clutter::BehaviourRotate::get_axis | ( |  | ) | const

Retrieves the Clutter::RotateAxis used by the rotate behaviour.

Since cluttermm 0.4:

Returns:
  The rotation axis.

void Clutter::BehaviourRotate::get_bounds | ( | double & | angle_begin,
|  | double & | angle_end |
| ) |  |  | const

Retrieves the rotation boundaries of the rotate behaviour.

Since cluttermm 0.4:

Parameters:

  | angle_start | Return value for the initial angle.
  | angle_end | Return value for the final angle.

void Clutter::BehaviourRotate::get_center | ( | int & | x,
|  | int & | y,
|  | int & | z |
| ) |  |  | const

Retrieves the center of rotation set using set_center().

Since cluttermm 0.4:

Parameters:

  | x | Return location for the X center of rotation.
  | y | Return location for the Y center of rotation.
  | z | Return location for the Z center of rotation.

RotateDirection Clutter::BehaviourRotate::get_direction | ( |  | ) | const

Retrieves the Clutter::RotateDirection used by the rotate behaviour.

Since cluttermm 0.4:

Returns:
  The rotation direction.

ClutterBehaviourRotate* Clutter::BehaviourRotate::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::Behaviour.

const ClutterBehaviourRotate* Clutter::BehaviourRotate::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::Behaviour.

ClutterBehaviourRotate* Clutter::BehaviourRotate::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Clutter::Behaviour.

Glib::PropertyProxy<double> Clutter::BehaviourRotate::property_angle_end | ( |  | ) |

Final angle.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Clutter::BehaviourRotate::property_angle_end | ( |  | ) | const

Final angle.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Clutter::BehaviourRotate::property_angle_start | ( |  | ) | const

Initial angle.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Clutter::BehaviourRotate::property_angle_start | ( |  | ) |

Initial angle.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<RotateAxis> Clutter::BehaviourRotate::property_axis | ( |  | ) |

Axis of rotation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<RotateAxis> Clutter::BehaviourRotate::property_axis | ( |  | ) | const

Axis of rotation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Clutter::BehaviourRotate::property_center_x | ( |  | ) | const

X center of rotation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Clutter::BehaviourRotate::property_center_x | ( |  | ) |

X center of rotation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Clutter::BehaviourRotate::property_center_y | ( |  | ) |

Y center of rotation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Clutter::BehaviourRotate::property_center_y | ( |  | ) | const

Y center of rotation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Clutter::BehaviourRotate::property_center_z | ( |  | ) |

Z center of rotation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Clutter::BehaviourRotate::property_center_z | ( |  | ) | const

Z center of rotation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<RotateDirection> Clutter::BehaviourRotate::property_direction | ( |  | ) |

Direction of rotation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<RotateDirection> Clutter::BehaviourRotate::property_direction | ( |  | ) | const

Direction of rotation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Clutter::BehaviourRotate::set_axis | ( | RotateAxis | axis | ) |

Sets the axis used by the rotate behaviour.

Since cluttermm 0.4:

Parameters:

  | axis | A Clutter::RotateAxis.

void Clutter::BehaviourRotate::set_bounds | ( | double | angle_begin,
|  | double | angle_end |
| ) |  |  |

Sets the initial and final angles of a rotation behaviour; angles >= 360 degrees get clamped to the canonical interval <0, 360).

Since cluttermm 0.4:

Parameters:

  | angle_start | Initial angle in degrees, between 0 and 360.
  | angle_end | Final angle in degrees, between 0 and 360.

void Clutter::BehaviourRotate::set_center | ( | int | x,
|  | int | y,
|  | int | z |
| ) |  |  |

Sets the center of rotation.

The coordinates are relative to the plane normal to the rotation axis set with set_axis().

Since cluttermm 0.4:

Parameters:

  | x | X axis center of rotation.
  | y | Y axis center of rotation.
  | z | Z axis center of rotation.

void Clutter::BehaviourRotate::set_direction | ( | RotateDirection | direction | ) |

Sets the rotation direction used by the rotate behaviour.

Since cluttermm 0.4:

Parameters:

  | direction | The rotation direction.

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::BehaviourRotate > wrap | ( | ClutterBehaviourRotate * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/behaviour-rotate.h